/* IODEV.H                                                                   */


/*---------------------------------------------------------------------------*/
/* Macros to extract parts of DevCode arguments                              */

#define IO_DEVICE(x)  ((x & 0x0F00) >> 8)
#define IO_CHANNEL(x) ((x & 0x00F0) >> 4)

#define IO_BITID(x)   (x & 0x000F)
#define IO_BITMASK(x) (1 << (x & 0x000f))

#define NODEVSPEC    0x8000            /* no device specified (or error)     */
#define NOCHANSPEC   0x4000            /* no channel specified               */
#define NOBITSPEC    0x2000            /* no bit specified                   */

/*---------------------------------------------------------------------------*/
/* Error flags for I/O device problems                                       */

#define ERR_ADC      32
