/* COMM2.H                                                                   */
/* Hardware bits &c found on COMM-Link board, version 2                      */

#define COMMLINK2    1                 /* flag the board type...             */

/*---------------------------------------------------------------------------*/
/* I/O bit definitions                                                       */

#define MANUALMODE   P1.3              /* low for jumper installed = manual  */

#define DIS_EEPROM   P1.4              /* 0 to enable EEPROM/heartbeat       */
#define STB_OUTPORT  P1.5              /* pulse low to latch digital output  */
#define DIS_INPORT   P1.6              /* 0 to enable digital input port     */
#define DIS_ADC      P1.7              /* 0 to enable ADC chip               */

#define DATAPORT     P1                /* port to use for all this I/O       */
#define DATAMASK     15                /* decimal for C/ASM use              */

/*---------------------------------------------------------------------------*/
/* EEPROM I/O                                                                */

#define EEPROM_SK    P1.0              /* clock input                        */
#define EEPROM_DI    P1.1              /* data to EEPROM                     */
#define EEPROM_DO    P1.2              /* data from EEPROM                   */

/*---------------------------------------------------------------------------*/
/* ADC I/O                                                                   */

#define ADC_CLK   P1.0                 /* clock input                        */
#define ADC_SOUT  P1.1                 /* data from ADC                      */
#define ADC_SIN   P1.2                 /* data to ADC                        */

