/* EECONFIG.H                                                                */

/*---------------------------------------------------------------------------*/
/* Manifest constants for serial NV EEPROM                                   */

#define EEPROMSIZE 64                              /* number of entries      */

/*---------------------------------------------------------------------------*/
/* Error flags                                                               */

#define ERR_EEPROM       64            /* timeout or output jammed low       */

/*--- EEPROM commands                                                        */
/*    the start bit is supplied by the transmitting routine                  */

#define EEP_READ        0x80           /*  address in low 6 bits             */
#define EEP_WRITE       0x40           /*  address in low 6 bits             */
#define EEP_ERASE       0xC0           /*  address in low 6 bits             */
#define EEP_EWEN        0x30           /*  no address                        */
#define EEP_EWDS        0x00           /*  no address                        */
#define EEP_ERAL        0x20           /*  no address                        */
#define EEP_WRAL        0x10           /*  no address                        */

