/* IODEV.H                                                                   */

/*---------------------------------------------------------------------------*/
/* Galactic constants                                                        */

#define CHAR_DELAY   350               /* 100 us delays for string outputs   */

/*---------------------------------------------------------------------------*/
/* Macros to extract parts of DevCode arguments                              */
/* The code is hacked to use only bit IDs, so the channels are no-ops        */

#define IO_DEVICE(x)  ((x & 0x0F00) >> 8)
#define IO_CHANNEL(x) ((x & 0x00F0) >> 4)

#define IO_BITID(x)   (x & 0x000F)
#define IO_BITMASK(x) (1 << (x & 0x000F))

#define NODEVSPEC    0x8000            /* no device specified (or error)     */
#define NOCHANSPEC   0x4000            /* no channel specified               */
#define NOBITSPEC    0x2000            /* no bit specified                   */

