/* LCDTERM.H -- LCD Terminal                                                 */

/*---------------------------------------------------------------------------*/
/* Debugging outputs                                                         */

#define MAINFLAG        P1.7           /* heartbeat -- one change/second     */

#define MANUALMODE      P1.4           /* INPUT low -> manual mode on reset  */

#define INPUTMASK       0xf0           /* which P1 bits are inputs           */
#define INPUTMASKASM    $f0            /* ditto, in assembler format         */
                                       /*  F0 is macroed to PSW.5...         */
#define SWITCH_PORT     P1             /* bits are hardwired in timer code!  */


/*---------------------------------------------------------------------------*/
/* Enables for various reporting outputs                                     */

#define REPORT_NONE     0x00           /* disable all reports                */
#define REPORT_ANSI     0x01           /* show ANSI decoding process         */
#define REPORT_LCD      0x02           /* show LCD machinations              */

/*---------------------------------------------------------------------------*/
/* Stack initialization code                                                 */

#define MAXSTACK        127            /* last valid IRAM address for stack  */
                                       /* decimal for C/asm use...           */
