/* ANSI.H                                                                    */
/* Useful stuff for ANSI control sequences                                   */


/*---------------------------------------------------------------------------*/
/* Attribute names for ESC[...m sequences                                    */
/* Not all of these will work on an LCD panel...                             */

#define ATTR_OFF     0
#define ATTR_BOLD    1
#define ATTR_FAINT   2
#define ATTR_BLINK   5
#define ATTR_REVERSE 7

/*--- colors, must be added to 30 for FG and 40 for BG sequences             */

#define ATTR_BLACK   0
#define ATTR_RED     1
#define ATTR_GREEN   2
#define ATTR_YELLOW  3
#define ATTR_BLUE    4
#define ATTR_MAGENTA 5
#define ATTR_CYAN    6
#define ATTR_WHITE   7

#define ATTR_NUMCOLORS 8

/*---------------------------------------------------------------------------*/
/* Locally interesting constants                                             */

#define ANSI_MAXLEN     64             /* longest possible sequence!         */
#define ANSI_MAXNUMS    8              /* most numeric values                */

#define TABINTERVAL     4              /* for escape sequence tabbing        */

/*--- state machine control variable                                         */

#define ANSI_OFF     0                 /* no ANSI actions                    */
#define ANSI_WAIT    1                 /* waiting for ESC                    */
#define ANSI_MODE    2                 /* waiting for [                      */
#define ANSI_PARAM   3                 /* waiting for parameters             */
#define ANSI_NUM     4                 /* building numbers                   */

