/* ACLINE.H -- power line interface                                          */

/*---------------------------------------------------------------------------*/
/* Bit variables                                                             */
/* Make sure you match the bit addresses and the byte address!               */

NEAR BYTE ACBits0;                     /* 0x22                               */
NEAR BYTE ACBits1;                     /* 0x23                               */

/*---------------------------------------------------------------------------*/
/* Bit variables located in Bit RAM                                          */

#define FlagSecond    $22.7            /* set true each second               */
#define FlagPwrFail   $22.6            /* set when power is really dead      */
#define FlagAnyPFail  $22.5            /* remembers if there were any fails  */
#define FlagDeadMan   $22.4            /* set when AC cycle is missing       */
#define FlagSendX10   $22.3            /* set when actually sending data     */
#define FlagNextTBit  $22.2            /*  ... which is this bit value       */


#define FlagOldRBit   $23.7            /* X10 data bit, previous half cycle  */
#define FlagNewRBit   $23.6            /* X10 data bit, current half cycle   */
#define FlagSkipHalf  $23.5            /* set to skip recognized half bit    */

