/* NETIO.H                                                                   */


/*---------------------------------------------------------------------------*/
/* Network control bit locations                                             */

#define A_DIS_HIGH   P1.0
#define A_DIS_MID    P1.1
#define A_EN_LOW     P1.2
#define A_SENSE      P1.3

#define B_DIS_HIGH   P1.7
#define B_DIS_MID    P1.6
#define B_EN_LOW     P1.5
#define B_SENSE      P1.4

/*---------------------------------------------------------------------------*/
/* Bits located in SartData array                                            */
/* These locations are hardcoded in the DInPty/DOutPty tables                */
/* Must be in decimal to match both C and assembly syntax                    */

#define MASK_PTYERR  16                /* 0x10                               */

#define MASK_OUT1    8                 /* 0x08                               */
#define MASK_OUT0    4                 /* 0x04                               */
#define MASK_IN1     2                 /* 0x02                               */
#define MASK_IN0     1                 /* 0x01                               */

#define OUT_SHIFT    2                 /* right shifts to put OUTs in bit 0  */

