/* TIMER.H                                                                   */

/*---------------------------------------------------------------------------*/
/* Galactic constants                                                        */

/*--- Timer 0 reload values                                                  */
/*    timer ticks are figured at (time in us)/(1.085 us/tick)                */

#define T0RldNorm       -9202                      /* 10 ms - 15 cycles      */

#define TICKSPERSEC     100                        /* 1/(ticks per second)   */
#define MSPERTICK       (1000/TICKSPERSEC)         /* real millisec/tick     */

/*---------------------------------------------------------------------------*/
/* Heartbeat output                                                          */

#define HEARTBEAT       P3.5           /* heartbeat output bit               */

#define HEART_PERIOD    12             /* ticks per heart shift              */

#define HB_NORMAL       0xFF00         /* normal 50% duty cycle              */
#define HB_BADEPROM     0xF400         /* EPROM checksum error               */
#define HB_BADRAM       0xF500         /* external RAM error                 */

#define HB_BADNETA      0xEE80         /* SART network 0 failure             */
#define HB_BADNETB      0xEEA0         /* SART network 1 failure             */
#define HB_BADNETS      0xEEA8         /* both networks are bad              */
