/* VidLink.H -- Video Terminal                                               */

/*---------------------------------------------------------------------------*/
/* Stack definition                                                          */

#define MAXSTACK        127            /* last valid IRAM address for stack  */

/*---------------------------------------------------------------------------*/
/* I/O bits                                                                  */

#define IO_TRANSDISABLE P3.3           /* set to disable net transmitter     */
                                       /*  ... inverted to become RTS        */
#define IO_VIDENABLE    P3.4           /* set to enable, clear to blank      */
#define IO_RAMDISABLE   P3.5           /* set to disable RAM outputs         */


/*---------------------------------------------------------------------------*/
/* Switch bits                                                               */
/* The address bits are hardcoded into NetInit(), so be careful              */
/* Manual mode is hardcoded into CmdCheckMode                                */

#define SW_NETNAMESEL   7              /* ON = VIDx, OFF = TERMx             */
                                       /* address bits 2-0 are switches 6-4  */

#define SW_STARTINV     3              /* ON = inverse video, OFF = normal   */
#define SW_STARTLARGE   2              /* ON = large chars, OFF = small      */
#define SW_STARTBRIGHT  1              /* ON = use high intensity at start   */
#define SW_MANUAL       0              /* ON = manual button pushed          */

/*---------------------------------------------------------------------------*/
/* I/O addresses                                                             */

#define VIDEO_BUS       $2000          /* accessed with high address in P1   */

#define I8254_PERIOD    $A000          /* video line period                  */
#define I8254_DURATION  $A001          /* sync pulse duration                */
#define I8254_BLANKING  $A002          /* blanking pulse duration            */
#define I8254_CONTROL   $A003          /* control register                   */

#define SWITCHES        $C000          /* DIP switches                       */

